Call us now on 01252 810995

Enquire

CV-Library Job View API

This API is designed to be used on front end websites from within client-side javascript. It is not designed to be used for the bulk download of job listings.

Access to our Job View API is not provided as standard. If you would like to apply for access, please contact our Partner team at [email protected].

This is a GET URL: https://partners.cv-library.co.uk/api/v1/jobs/[id]. 'id' is the job ID you are requesting. The API will also expect the following as URL query parameters:

  • key
  • applyurl (optional)

It will return UTF8-encoded JSON in response.

A key will be provided for access. Without a key you will receive a 400 (bad request) response:

{"error":"Unable to process request for that api key"}

A sample javascript client using jQuery would use code like this:

var id = 12345678;

var args = {
    applyurl: 0,
    key: KEY
};
// using $.param to ensure arrays get encoded correctly.
var query_params = $.param( args, true );
$.get('https://partners.cv-library.co.uk/api/v1/jobs/' + id + '?' + query_params).done(function (data) {
    // Convert UTC posted date to user's locale.
    var posted = new Date(data.posted).toLocaleString();

    // Your code here
    ...
});

An example curl request is:

curl 'https://partners.cv-library.co.uk/api/v1/jobs/12345678?key=KEY'

Parameters

Please note that id must be provided. Without this you will receive a 400 'bad request' response.

The query parameters we are expecting are:

key

This is the key provided to you by our Partner team. This is required.

applyurl

This is an optional parameter to return the job URLs as apply URLs instead of job view URLs. The options are:

  • 0 - (default) Job URLs will be returned as job view URLs
  • 1 - Job URLs will be returned as apply URLs

description_formatted

This is an optional parameter to return the HTML job decription. The options are:

  • 0 - (default) do not return description_formatted
  • 1 - return description_formatted

Results

The JSON returned might look like this:

{
    "agency": {
        "title": "Barney Recruitment",
        "type": "Recruitment Agency",
        "url": "https://www.cv-library.co.uk/list-jobs/999999/Barney-Recruitment"
    },
    "applications": "<10",
    "contract_length": "12 months",
    "description": "Position: CV Librarian\nLocation: Fleet\nSalary: \u00a340000- \u00a355000 Per Annum\nJob type: Permanent\n\nDescription\nDo you know CV-Library is one of the UK's largest online job sites and attracts over 4.3 million unique job seekers every month. With a client list crammed full of the biggest brand names in recruitment and also a healthy mix of corporate clients who regularly use our services, we are rapidly evolving into one of the biggest and most dynamic online media organisations in the UK.",
    "id": 12345678,
    "industry": "IT",
    "location": "Fleet",
    "logo": "https://www.cv-library.co.uk/logo/big/bac0998768784a75beea9b928d5c8c89",
    "posted": "2018-01-01T09:00:00Z",
    "salary": "\u00a340000 - \u00a355000/annum",
    "start_date": "ASAP",
    "title": "CV Librarian",
    "type": [
        "Permanent"
    ],
    "url": "https://www.cv-library.co.uk/job/12345678/CV-Librarian?s=101081"
}

Please note, some fields may not be returned; e.g., the salary, if this is hidden in the job posting.